using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls;
using System.Windows.Controls;
using System.Linq;

namespace RadGridView_WPF_AR_7
{
	public class ButtonlessFilteringControl : FilteringControl
	{
		public override void Prepare(Telerik.Windows.Controls.GridViewBoundColumnBase column)
		{
			base.Prepare(column);

			this.ChildrenOfType<Button>().ToList().ForEach(button => button.Visibility = Visibility.Collapsed);
		}

	}
}
